Subject: Re: [PATCH] NET: Multiqueue network device support.

From: Patrick McHardy <[email-masked]>
Date: Mon, 11 Jun 2007 20:07:15 +0200

Waskiewicz Jr, Peter P wrote:
>>BTW, I couldn't find anything but a single 
>>netif_wake_subqueue in your (old) e1000 patch. Why doesn't it 
>>stop subqueues?
> 
> 
> A previous e1000 patch stopped subqueues.  The last e1000 patch I sent
> to the list doesn't stop them, and that's a problem with that patch; it
> was sent purely to show how the alloc_etherdev_mq() stuff worked, but I
> missed the subqueue control.  I can fix that and send an updated patch
> if you'd like.  The reason I missed it is we maintain an out-of-tree
> driver and an in-tree driver, and mixing/matching code between the two
> becomes a bit of a juggling act sometimes when doing little engineering
> snippits.
> 
> Thanks for reviewing these.  I'll repost something with updates from
> your feedback.

Thanks, I do have some more comments, but a repost with the patches
split up in infrastructure changes, qdisc changes one patch per qdisc
and the e1000 patch would make that easier.